## org.apache.lucene.analysis.th
Class ThaiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.th.ThaiAnalyzer

    public class ThaiAnalyzer

extends Analyzer

Analyzer for Thai language. It uses java.text.BreakIterator to break words.

Version:
  0.2
Author:
  Samphan Raruenrom <samphan@osdev.co.th> for To-Be-One Technology Co., Ltd.

Constructor Summary
`ThaiAnalyzer()`

Method Summary
`TokenStream` `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThaiAnalyzer

    public ThaiAnalyzer()

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Description copied from class: `Analyzer`
  Creates a TokenStream which tokenizes all the text in the provided Reader. Default implementation forwards to tokenStream(Reader) for compatibility with older version. Override to allow Analyzer to choose strategy based on document and/or field. Must be able to handle null field name for backward compatibility.

  Specified by:
    `tokenStream` in class `Analyzer`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.